Skip to main content
GET
/
app.rocksky.playlist.getPlaylist
Retrieve a playlist by its ID
curl --request GET \
  --url https://api.rocksky.app/xrpc/app.rocksky.playlist.getPlaylist \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "title": "<string>",
  "uri": "<string>",
  "curatorDid": "<string>",
  "curatorHandle": "<string>",
  "curatorName": "<string>",
  "curatorAvatarUrl": "<string>",
  "description": "<string>",
  "coverImageUrl": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "tracks": [
    {
      "id": "<string>",
      "title": "<string>",
      "artist": "<string>",
      "albumArtist": "<string>",
      "albumArt": "<string>",
      "uri": "<string>",
      "album": "<string>",
      "duration": 123,
      "trackNumber": 123,
      "discNumber": 123,
      "playCount": 1,
      "uniqueListeners": 1,
      "albumUri": "<string>",
      "artistUri": "<string>",
      "sha256": "<string>",
      "mbid": "<string>",
      "isrc": "<string>",
      "tags": [
        "<string>"
      ],
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

uri
string<at-uri>
required

The URI of the playlist to retrieve.

Response

OK

Detailed view of a playlist, including its tracks and metadata

id
string

The unique identifier of the playlist.

title
string

The title of the playlist.

uri
string<at-uri>

The URI of the playlist.

curatorDid
string<at-identifier>

The DID of the curator of the playlist.

curatorHandle
string<at-identifier>

The handle of the curator of the playlist.

curatorName
string

The name of the curator of the playlist.

curatorAvatarUrl
string<uri>

The URL of the avatar image of the curator.

description
string

A description of the playlist.

coverImageUrl
string<uri>

The URL of the cover image for the playlist.

createdAt
string<date-time>

The date and time when the playlist was created.

tracks
object[]